[**@rxap/window-system v19.0.3-dev.0**](../README.md)

***

[@rxap/window-system](../globals.md) / WindowInstanceService

# Class: WindowInstanceService

Defined in: [packages/angular/window-system/src/lib/window-instance.service.ts:16](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-instance.service.ts#L16)

## Implements

- `OnDestroy`

## Constructors

### new WindowInstanceService()

> **new WindowInstanceService**(): [`WindowInstanceService`](WindowInstanceService.md)

#### Returns

[`WindowInstanceService`](WindowInstanceService.md)

## Properties

### loading$

> `readonly` **loading$**: `ToggleSubject`

Defined in: [packages/angular/window-system/src/lib/window-instance.service.ts:18](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-instance.service.ts#L18)

## Methods

### attachLoading()

> **attachLoading**(`loading$`): `void`

Defined in: [packages/angular/window-system/src/lib/window-instance.service.ts:22](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-instance.service.ts#L22)

#### Parameters

##### loading$

`Observable`\<`any`\>

#### Returns

`void`

***

### ngOnDestroy()

> **ngOnDestroy**(): `void`

Defined in: [packages/angular/window-system/src/lib/window-instance.service.ts:28](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-instance.service.ts#L28)

A callback method that performs custom clean-up, invoked immediately
before a directive, pipe, or service instance is destroyed.

#### Returns

`void`

#### Implementation of

`OnDestroy.ngOnDestroy`
